db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren (JIRA)" <j...@apache.org>
Subject [jira] Closed: (DERBY-4761) javadoc warnings for 10.3 with jdk 1.6 set
Date Thu, 12 Aug 2010 18:16:17 GMT

     [ https://issues.apache.org/jira/browse/DERBY-4761?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Myrna van Lunteren closed DERBY-4761.
-------------------------------------

    Fix Version/s: 10.2.2.1
                   10.3.3.1
       Resolution: Fixed

closing this - the 10.2 and 10.3 builds are cleaner now for me.

> javadoc warnings for 10.3 with jdk 1.6 set
> ------------------------------------------
>
>                 Key: DERBY-4761
>                 URL: https://issues.apache.org/jira/browse/DERBY-4761
>             Project: Derby
>          Issue Type: Bug
>          Components: Build tools
>    Affects Versions: 10.3.3.0
>         Environment: with sun jdk 1.6 u21 b7
>            Reporter: Myrna van Lunteren
>            Assignee: Myrna van Lunteren
>             Fix For: 10.2.2.1, 10.3.3.1
>
>         Attachments: 103_jdk16u21_javadocerrors.txt, DERBY-4761.diff
>
>
> I tried to upgrade from an ancient version of the sun jdk to 1.6 u21 b7, but now my javadoc
build for 10.3 (10.3.3.1) has a number of errors re 'generics' usage:
> java\engine\org\apache\derby\iapi\jdbc\BrokeredCallableStatement40.java:303: generics
are 
> not supported in -source 1.4
>   [javadoc] (use -source 5 or higher to enable generics)
>   [javadoc]     public <T> T unwrap(java.lang.Class<T> interfaces) 
>   [javadoc]            ^
> etc.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message